up to 3.5.0
authorElan Ruusamäe <glen@delfi.ee>
Sun, 20 May 2018 22:28:07 +0000 (01:28 +0300)
committerElan Ruusamäe <glen@delfi.ee>
Sun, 20 May 2018 22:42:57 +0000 (01:42 +0300)
eventum-paths.patch
eventum.spec

index fbe163d..7f3b3d8 100644 (file)
  define('APP_ERROR_LOG', APP_LOG_PATH . '/errors.log');
 -define('APP_LOCKS_PATH', APP_VAR_PATH . '/lock');
 +define('APP_LOCKS_PATH', '/var/run/eventum');
---- eventum-3.1.10-340-gfc2f2394/src/Controller/Setup/SetupController.php~     2017-05-04 23:47:50.000000000 +0300
-+++ eventum-3.1.10-340-gfc2f2394/src/Controller/Setup/SetupController.php      2017-05-17 19:55:50.362400076 +0300
-@@ -201,10 +201,6 @@
-                 = "The 'file_uploads' directive needs to be enabled in your PHP.INI file in order for Eventum to work properly.";
-         }
+--- eventum-3.5.0/src/Controller/Setup/SetupController.php~    2018-05-20 17:33:34.000000000 +0300
++++ eventum-3.5.0/src/Controller/Setup/SetupController.php     2018-05-21 01:40:24.095066355 +0300
+@@ -210,10 +210,6 @@
+         $configPath = Setup::getConfigPath();
+         $setupFile = Setup::getSetupFile();
  
--        $error = $this->checkPermissions(APP_CONFIG_PATH, "Directory '" . APP_CONFIG_PATH . "'", true);
+-        $error = $this->checkPermissions($configPath, "Directory '" . $configPath . "'", true);
 -        if (!empty($error)) {
 -            $errors[] = $error;
 -        }
-         $error = $this->checkPermissions(APP_SETUP_FILE, "File '" . APP_SETUP_FILE . "'");
+         $error = $this->checkPermissions($setupFile, "File '" . $setupFile . "'");
          if (!empty($error)) {
              $errors[] = $error;
---- eventum-3.0.8-100-g3543f89/src/Console/Command/MonitorCommand.php~ 2016-01-31 18:24:19.000000000 +0200
-+++ eventum-3.0.8-100-g3543f89/src/Console/Command/MonitorCommand.php  2016-02-01 00:16:28.751423105 +0200
-@@ -31,17 +31,17 @@
-         $required_files = array(
-             APP_CONFIG_PATH . '/config.php' => [
+--- eventum-3.5.0/src/Console/Command/MonitorCommand.php~      2018-05-20 17:33:34.000000000 +0300
++++ eventum-3.5.0/src/Console/Command/MonitorCommand.php       2018-05-21 01:42:21.463354763 +0300
+@@ -47,17 +47,17 @@
+         $required_files = [
+             $configPath . '/config.php' => [
                  'check_owner' => true,
 -                'owner' => 'apache',
 +                'owner' => 'root',
@@ -38,7 +38,7 @@
                  'check_permission' => true,
                  'permission' => 640,
              ],
-             APP_CONFIG_PATH . '/setup.php' => [
+             $configPath . '/setup.php' => [
                  'check_owner' => true,
 -                'owner' => 'apache',
 +                'owner' => 'root',
index 2192117..1b3d261 100644 (file)
@@ -3,19 +3,19 @@
 %bcond_with    order   # with experimental order patch
 
 %define                rel             1
-%define                subver  45
-%define                githash dc8e82f4
+#define                subver  45
+#define                githash dc8e82f4
 %define                php_min_version 5.6.0
 Summary:       Eventum Issue / Bug tracking system
 Summary(pl.UTF-8):     Eventum - system śledzenia spraw/błędów
 Name:          eventum
-Version:       3.4.2
+Version:       3.5.0
 Release:       %{?subver:1.%{subver}.%{?githash:g%{githash}.}}%{rel}
 License:       GPL v2+
 Group:         Applications/WWW
-#Source0:      https://github.com/eventum/eventum/releases/download/v%{version}/%{name}-%{version}.tar.xz
-Source0:       https://github.com/eventum/eventum/releases/download/snapshot/%{name}-%{version}-%{subver}-g%{githash}.tar.xz
-# Source0-md5: 300aef7173ef4aa37dbf58ef03c4c0fb
+Source0:       https://github.com/eventum/eventum/releases/download/v%{version}/%{name}-%{version}.tar.xz
+# Source0-md5: 17c510ffe6155191a42dfa2b63dbcccd
+#Source0:      https://github.com/eventum/eventum/releases/download/snapshot/%{name}-%{version}-%{subver}-g%{githash}.tar.xz
 Source1:       %{name}-apache.conf
 Source2:       %{name}-mail-queue.cron
 Source3:       %{name}-mail-download.cron
@@ -41,6 +41,8 @@ URL:          https://wiki.github.com/eventum/eventum/
 BuildRequires: gettext-tools
 BuildRequires: rpmbuild(macros) >= 1.654
 BuildRequires: sed >= 4.0
+BuildRequires: tar >= 1:1.22
+BuildRequires: xz
 Requires(post):        sudo
 Requires(postun):      /usr/sbin/groupdel
 Requires(postun):      /usr/sbin/userdel
This page took 0.275281 seconds and 4 git commands to generate.